Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Graph.To<Next>

Type Parameters:
  `Next` - The interface that is to be returned when this request is completed

All Known Subinterfaces:
  Graph.ApplyFunction<Next>, Graph.Copy<Next>, Graph.CopyTarget<Next>, Graph.WithInput<Next>, Graph.WithScope<Next>

All Known Implementing Classes:
  Graph.ApplyFunctionAction, Graph.CopyAction

Enclosing class:
  Graph

    public static interface Graph.To<Next>

A component that defines the location to which a node should be copied or moved.

Method Summary
`Next` | `to(Location desiredLocation)` Finish the request by specifying the Location.create where the node should be copied/moved.
`Next` | `to(Path desiredPath)` Finish the request by specifying the Location.create where the node should be copied/moved.
`Next` | `to(String desiredPath)` Finish the request by specifying the Location.create where the node should be copied/moved.

Method Detail

### to

    Next to(Location desiredLocation)

  Finish the request by specifying the Location.create where the node should be copied/moved. Unlike `Graph.Into.into(Location)`, which specifies the location of the parent and which assumes the new node should have the same name as the original, this method allows the caller to specify a new name for the new node.

  Parameters:
    `desiredLocation` - the desired location for the new node, which must have a `path`
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.Into.into(Location)`

### to

    Next to(String desiredPath)

  Finish the request by specifying the Location.create where the node should be copied/moved. Unlike `Graph.Into.into(String)`, which specifies the location of the parent and which assumes the new node should have the same name as the original, this method allows the caller to specify a new name for the new node.

  Parameters:
    `desiredPath` - the path for the new node
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.Into.into(String)`

### to

    Next to(Path desiredPath)

  Finish the request by specifying the Location.create where the node should be copied/moved. Unlike `Graph.Into.into(Path)` , which specifies the location of the parent and which assumes the new node should have the same name as the original, this method allows the caller to specify a new name for the new node.

  Parameters:
    `desiredPath` - the path for the new node
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.Into.into(Path)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.